목록 데이타

### Type Parameters

- #### D

- #### S = {}

- #### P = {}

### Hierarchy

- BaseDataVo <P>
  - ListDataVo

## Index

### Properties

- codeKey
- dataList
- loadStatus
- params
- searchModel
- subTitle
- title
- toolbars

## Properties

### Optional codeKey

codeKey?: {}

Inherited from BaseDataVo.codeKey

- Defined in src/services/common.interface.ts:221

키 정보

#### Type declaration

- ##### [key: string]: string

### dataList

dataList: D[]

- Defined in src/services/common.interface.ts:263

목록 리스트

### Optional loadStatus

loadStatus?: LoadStatusType

Inherited from BaseDataVo.loadStatus

- Defined in src/services/common.interface.ts:218

로딩 상태

### Optional params

params?: P

Inherited from BaseDataVo.params

- Defined in src/services/common.interface.ts:225

### Optional searchModel

searchModel?: S

- Defined in src/services/common.interface.ts:260

검색 조건 모델

### Optional subTitle

subTitle?: string

Inherited from BaseDataVo.subTitle

- Defined in src/services/common.interface.ts:215

부제목

### Optional title

title?: string

Inherited from BaseDataVo.title

- Defined in src/services/common.interface.ts:212

제목

### Optional toolbars

toolbars?: ToolbarButtonVo []

Inherited from BaseDataVo.toolbars

- Defined in src/services/common.interface.ts:228

하단 툴바 설정

Generated using TypeDoc